/*!*************************************************************!*\
  !*** css ./node_modules/css-loader/dist/cjs.js!./dsvis.css ***!
  \*************************************************************/
@charset "utf-8";

/* A mixture of the following two CSS resets:
   - Josh Comeau: https://www.joshwcomeau.com/css/custom-css-reset/
   - Andy Bell: https://piccalil.li/blog/a-more-modern-css-reset/
*/

*, *::before, *::after {
	box-sizing: border-box;
}
* {
	margin: 0;
	padding: 0;
}
input, button, textarea, select {
	font: inherit;
}
body {
	line-height: 1.5;
	-webkit-font-smoothing: antialiased;
}
h1, h2, h3, h4, button, input, label {
  	line-height: 1.1;
}
p, h1, h2, h3, h4, h5, h6 {
	overflow-wrap: break-word;
}
img, picture, video, canvas, svg {
	display: block;
	max-width: 100%;
}

/* End CSS reset */

body {
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
	font-size: 100%;
	background-color: maroon;
}

main {
	background-color: lemonchiffon;
}

section, p, h1, h2, h3, h4, h5, h6, ul, ol, dl {
	padding-bottom: 1rem;
}

h1 { font-size: 1.6rem; }
h2 { font-size: 1.2rem; }
h3 { font-size: 1.1rem; }

body > * {
	padding-top: 1rem;
	padding-left: 5%;
	padding-right: 5%;
}

ul, ol {
	padding-left: 2em;
}

header, footer {
	color: lemonchiffon;
	background-color: maroon;
}

a {
	color: inherit;
}

h1 a {
	text-decoration: none;
}


.selectorWrapper > select {
	appearance: none;
	padding: 6px 12px;
	background-color: inherit;
}

svg, .selectorWrapper > select {
	border: solid 1px maroon;
	border-radius: 5px;
	width: 100%;
}

.selectorWrapper {
	position: relative;
	max-width: 1000px;
}

.selectorWrapper::after {
	content: "▼";
	color: maroon;
	font-size: 1rem;
	top: 10px;
	right: 10px;
	position: absolute;
}

/*-----------------------------------------------------------------*/

svg {
    background-color: white;
    border: 2px solid maroon;
    width: 100%;
	max-width: 1000px;
}

fieldset, form {
    border: none;
	display: inline-block;
}

.formgroup {
	white-space: nowrap;
	margin-right: 12px;
}

select, input, button {
	margin: 3px 0;
	padding: 3px 6px;
	background-color: white;
	border: solid 1px maroon;
	border-radius: 5px;
}

input[type="checkbox"], input[type="radio"] {
	width: 18px;
	height: 18px;
	margin-right: 0;
	vertical-align: middle;
}

select:hover:not(:disabled), input:hover:not(:disabled), button:hover:not(:disabled) {
	cursor: pointer;
}

input:active:not(:disabled), button:active:not(:disabled), button.selected:not(:disabled) {
	background-color: maroon;
	color: white;
}

*:disabled, *:disabled * {
	background: transparent;
	color: maroon;
}


/*-----------------------------------------------------------------*/

:root {
	--node-font-size: 100%;
}

svg {
	font-size: 20px;
}

svg g {
	font-size: var(--node-font-size);
}

text {
	font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

text.status-report {
	fill: grey;
	font-size: 80%;
}
text.status-report.paused {
	fill: brown;
}
text.status-report.running {
	fill: green;
}

text.title, text.message {
	fill: brown;
}
text.title {
	font-weight: bold;
}

text.printer {
	fill: blue;
}

circle, rect, polygon {
    stroke: black;
    fill: lemonchiffon;
}

path, line, polyline {
    stroke: black;
    fill: none;
}

svg .filled {
	stroke: none;
	fill: black;
}

svg .marked, svg .marked > * {
    stroke: green;
}

svg .marked.filled, svg text.marked, svg .marked > .filled, svg .marked > text {
	stroke: none;
	fill: green;
}

svg .highlight, svg .highlight > * {
    stroke: #C00;
}

svg .highlight.filled, svg text.highlight, svg .highlight > .filled, svg .highlight > text {
	stroke: none;
	fill: #C00;
}

svg .nofill {
	fill: none;
}

svg .highlight-circle {
	stroke: #C00;
	fill: none;
}

g text {
	stroke: none;
    fill: black;
    text-anchor: middle;
}

g text.avlheight {
	font-size: 70%;
}

g.unfilled circle {
	fill: none;
}

g.red circle {
	fill: pink;
}

g.red.black circle {
	fill: lightgrey;
}

text.arrayindex > tspan {
	font-size: 70%;
}

rect.background.disabled {
	fill: lightgray;
}

svg.shownullnodes .nullnode:not(.invisible) {
	fill: black;
	stroke: black;
}

line.gridline, svg .invisible, svg .nullnode {
	fill: none;
	stroke: none;
}

line.gridline {
	stroke-width: 1;
}

svg.debug line.gridline, svg.debug .invisible, svg.debug .nullnode {
    stroke: lightgray;
}

/*PseudoCode*/

.pseudoCode {
    align-self: start;
	margin-left: 50vh;
	margin-top: 3vh;
	display: inline-block;
	width: 15%;
	position: absolute;
}

/*Highlights*/
svg .highlightblue, svg .highlightblue > * {
    stroke: #04D9FF;
}

svg .highlightblue.filled, svg text.highlightblue, svg .highlightblue > .filled, svg .highlightblue > text {
	stroke: none;
	fill: #04D9FF;
}





/*# sourceMappingURL=data:application/json;charset=utf-8;base64,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*/